Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMInterface

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMCoin
                  |
                  +--com.jxml.quick.model.qjml.QMInterface

All Implemented Interfaces:
  Cloneable, QMElement

public class QMInterface
extends QMCoin
implements QMElement

Models an interface element in QJML. An interface element has no tag attribute, since it doesn't define a particular XML element. (Similarly, a Java interface can't be instantiated.) Interfaces provide a means of refering to the family of beans which implement them.

    DTD:

    <!ELEMENT interface (rem*, extends*, targetClass?, property*)>

    <!ATTLIST interface
        label CDATA #REQUIRED
        generate CDATA "True"
        ID id #IMPLIED
    >

Field Summary
`ArrayList` | `extendsList` A container for QMExtends objects, which model extends elements.
`ArrayList` | `propertyList` A container for QMProperty objects, which model property elements.
`QMTargetClass` | `targetClass` Models a targetClass element, which is optional.

Fields inherited from class com.jxml.quick.model.qjml.QMCoin
`accessors, extensions, generate, implementations, label, remList`

Constructor Summary
`QMInterface()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`QMAccess` | `getAccessor(Map coinMap, String name)` Returns the object which models the named field or property element.
`Map` | `getAtts()` Returns a table of objects which model attribute item elements.
`String` | `getClassName()` Returns the fully qualified name of the class described by this coin.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qjml.QMCoin
`getLabel`

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extendsList

    public ArrayList extendsList

  A container for QMExtends objects, which model extends elements. The extends elements are optional and repeating. These extends elements name the other interface coins which this interface coin extends. (An interface element, like a Java interface class, can extend any number of other interfaces.)

### targetClass

    public QMTargetClass targetClass

  Models a targetClass element, which is optional. The targetClass element names the Java interface which this interface element describes.

### propertyList

    public ArrayList propertyList

  A container for QMProperty objects, which model property elements. The property elements are optional and repeating. These property elements describe the bean property methods of the Java interface which this interface element describes.

Constructor Detail

### QMInterface

    public QMInterface()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QMCoin`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QMCoin`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap)
                   throws SAXException

  Description copied from class: `QMCoin`
  Builds the maps. This method is called during initialization of the data model.
  Overrides:
    `buildMaps` in class `QMCoin`

### getAccessor

    public QMAccess getAccessor(Map coinMap,
                                String name)
                         throws SAXException

  Description copied from class: `QMCoin`

  Returns the object which models the named field or property element. This can be a field or property found within the content of the coin element being modeled, or one found within the content of a coin which this coin extends.

  The keys include both the field or property name and a prefix, as follows:

  - field_ prefixes the name of a field entry;
  - get_ prefixes the name of a property entry with the read attribute set to true;
  - set_ prefixes the name of a property entry with the write attribute set to true. (There can be two entries for property elements.)
  Overrides:
    `getAccessor` in class `QMCoin`

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QMCoin`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QMCoin`

### getAtts

    public Map getAtts()
                throws SAXException

  Description copied from interface: `QMElement`
  Returns a table of objects which model attribute item elements. Inherited attribute item elements are included.
  Specified by:
    `getAtts` in interface `QMElement`

### getClassName

    public String getClassName()
                        throws SAXException

  Description copied from class: `QMCoin`
  Returns the fully qualified name of the class described by this coin.
  Overrides:
    `getClassName` in class `QMCoin`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD